<script setup lang="ts">
import type { RecordFields } from '@/types'
import { useGhentTime } from '@/composables/ghentTime'
import ItemTag from '@/components/atoms/ItemTag.vue'
import type { DirectiveBinding } from 'vue'

</script>

<template>
  <div>
    <h3>{{ fields.name_nl }}</h3>
    <div>
      {{ ghentTimeString }}
    </div>
    <p v-ellipsis="{ length: 200 }">{{ fields.description_nl }}</p>
    <div>
      <ItemTag v-if="+fields.outdoors">buiten</ItemTag>
      <ItemTag v-if="+fields.isaccessibleforfree">gratis</ItemTag>
    </div>
  </div>
</template>